<template>
<v-layout align-start justify-center row fill-height wrap>
    <v-flex>
        <v-btn block @click="setBack">
            <v-icon right dark>arrow_back</v-icon> Regresar
        </v-btn>

        <div>
            <task-header v-bind:TaskDetail="getTaskDetail" :getTaskDetail="getTaskDetail" />

            <v-item-group>
                <v-btn block color="primary" @click.stop="dialog = true">Agregar</v-btn>
              <!-- este boton debe aparece si no hay filas en getTaskDetail -->
              <!-- Agregar aquí cierre de ventana -->
                <v-btn block color="warning"  v-if="getObjectByShow == 0">Terminar</v-btn>
            </v-item-group>

          <v-item-group v-if="getTaskDetail.context == true">
            <!--<v-btn block color="warning" @click.stop="dialog = true">Entregar</v-btn>-->
            <hr />
          </v-item-group>

        </div>

        <task-list v-bind:taskData="getTaskDetail"></task-list>

        <task-dialog
        @close-dialog="dialog = false"
        v-bind:dialog.sync="dialog"
        ></task-dialog>

      <task-term
        @close-dialog="dialog = false"
        v-bind:dialog.sync="dialog"
        :id="getTaskDetail.id"
      ></task-term>

    </v-flex>

</v-layout>
</template>

<script>
import {
    mapGetters
} from 'vuex'
import TaskHeader from '../../components/TaskeHeader'
import TaskList from '../../components/TaskList'
import TaskDialog from '../../components/taskDialog/TaskDialogTransportesExternos'
import TaskTerm from '../../components/taskDialog/TaskDialogTerminateInd'

export default {
    name: "TaskTransExternos",
    data() {
        return {
            dialog: false,
            entregas: false,
        }
    },
    components: {
        TaskList,
        TaskHeader,
        TaskDialog,
        TaskTerm,
    },
    mounted() {
        let self = this;
        self.setTaskDetail(self.$route.params.id)
    },
    methods: {
        setTaskDetail(id) {
            this.$store.dispatch('setTaskTransportesExternosDetail', id).then((res) => {
                console.log(res);
            });
        },
        setBack() {
            this.$router.push('/dashboard');
        },
    },
    computed: {
        getObjectByShow(){
          return this.getTaskDetail.transportes_externos.filter(value => value.show == true).length;
        },

        ...mapGetters([
            'getTaskDetail'
        ]),
    },
}
</script>

<style scoped>

</style>
